Package: groovy.transform

## [Java] Annotation Type Pure

- groovy.transform.Pure

-     @Documented
      @Target(ElementType.METHOD)
      @Retention(RetentionPolicy.RUNTIME)
      public @interface Pure

  Marks the return value of "pure" method only comes from expressions involving constants or other pure methods.

  Since:
    4.0.0

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`